import { preloaderFinished } from '@delon/theme';
/*
 * @Author: your name
 * @Date: 2021-12-14 14:03:07
 * @LastEditTime: 2022-01-04 11:21:29
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \tms-obc-web\src\app\routes\order-management\modal\bulk\update-freight\update-freight.component.ts
 */
import { Component, Input, OnInit, ViewChild } from '@angular/core';
import {
  SFComponent,
  SFCustomWidgetSchema,
  SFNumberWidgetSchema,
  SFRadioWidgetSchema,
  SFSchema,
  SFSelectWidgetSchema,
  SFTextareaWidgetSchema,
  SFUISchema
} from '@delon/form';
import { _HttpClient } from '@delon/theme';
import { NzMessageService } from 'ng-zorro-antd/message';
import { NzModalRef } from 'ng-zorro-antd/modal';
import { OrderManagementService } from '../../../services/order-management.service';

@Component({
  selector: 'app-order-management-vehicle-modify-rate',
  templateUrl: './modify-rate.component.html',
  styleUrls: ['./modify-rate.component.less']
})
export class VehicleModifyRateComponent implements OnInit {
  @ViewChild('sf', { static: false }) sf!: SFComponent;
  schema: SFSchema = {};
  ui: SFUISchema = {};

  aggreechecked = false;

  @Input()
  data: any;

  constructor(private modal: NzModalRef, private msgSrv: NzMessageService, public service: OrderManagementService) {}

  ngOnInit(): void {
    console.log(this.data)
    this.initSF();
  }
  initSF() {
    this.schema = {
      properties: {
        additionalRate: {
          type: 'number',
          title: '附加费率',
          ui: {
            unit: '%',
            widgetWidth: 200,
            precision: 2,
          } as SFNumberWidgetSchema
        },
      },
      required: ['additionalRate']
    };
    this.ui = {
      '*': {
        spanLabelFixed: 100,
        grid: { span: 16 }
      }
    };
  }

  save(value: any): void {
    if(!this.sf.value?.additionalRate) {
      this.service.msgSrv.warning('请填写附加费！')
      return;
    }
    console.log(this.sf.value)
    const params = {
      ids: this.data?.ids,
      ...this.sf.value

    };
    console.log(params)
    this.service.request(this.service.$api_set_updateAdditionalRateBatch, params).subscribe((res: any) => {
      if (res) {
        this.modal.close(true);
        this.service.msgSrv.success('变更运费成功');
      } else {
      this.service.msgSrv.error(res?.msg)
      }
    });
  }

  close(): void {
    this.modal.destroy();
  }

}
